---
document: modulemd
version: 2
data:
  name: container-tools
  stream: "2.0"
  version: 8050020211210101629
  context: 20125149
  arch: ppc64le
  summary: Stable versions of podman 1.6, buildah 1.11, skopeo 0.1, runc, conmon,
    etc as well as dependencies such as container-selinux built and tested together,
    and supported as documented on the Application Stream lifecycle page.
  description: >-
    Stable versions of podman 1.6, buildah 1.11, skopeo 0.1, runc, conmon, CRIU, Udica,
    etc as well as dependencies such as container-selinux built and tested together.
    Released with RHEL 8.2 and supported for 24 months. During the support lifecycle,
    back ports of important, critical vulnerabilities (CVEs, RHSAs) and bug fixes
    (RHBAs) are provided to this stream, and versions do not move forward. For more
    information see: https://access.redhat.com/support/policy/updates/containertools
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      go-toolset: [rhel8]
      golang-ecosystem: [1.0]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://github.com/projectatomic
    documentation: https://projectatomic.io
    tracker: https://github.com/projectatomic
  profiles:
    common:
      rpms:
      - buildah
      - cockpit-podman
      - conmon
      - container-selinux
      - containernetworking-plugins
      - criu
      - fuse-overlayfs
      - podman
      - python-podman-api
      - runc
      - skopeo
      - slirp4netns
      - toolbox
      - udica
  api:
    rpms:
    - buildah
    - conmon
    - container-selinux
    - containernetworking-plugins
    - containers-common
    - fuse-overlayfs
    - podman
    - podman-docker
    - podman-manpages
    - podman-remote
    - python-podman-api
    - runc
    - skopeo
    - slirp4netns
  buildopts:
    rpms:
      macros: >
        %_with_ignore_tests 1
  components:
    rpms:
      buildah:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      cockpit-podman:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      conmon:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      container-selinux:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      containernetworking-plugins:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      criu:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      fuse-overlayfs:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      podman:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      python-podman-api:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      runc:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      skopeo:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      slirp4netns:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      toolbox:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
      udica:
        rationale: Primary component of this module
        ref: stream-container-tools-2.0-rhel-8.5.0
...
